<script>
export default {
  name: 'IdentifiersPage',

  data() {
    return {
      columns: [
        { key: 'identifier', label: 'Identifier' },
        { key: 'is_pseudonymized', label: 'Pseudonymized' },
        { key: 'pre_pseudonymization', label: 'Example data' },
        { key: 'post_pseudonymization', label: 'Pseudonymized data' },
      ],

      rows: [
        {
          identifier: 'user_id',
          pre_pseudonymization: '2890431',
          is_pseudonymized: 'Yes',
          post_pseudonymization: 'Long hash',
        },
        {
          identifier: 'project_id',
          pre_pseudonymization: '27005757',
          is_pseudonymized: 'No',
          post_pseudonymization: '27005757',
        },
        {
          identifier: 'namespace_id',
          pre_pseudonymization: '12174719',
          is_pseudonymized: 'No',
          post_pseudonymization: '12174719',
        },
        {
          identifier: 'page_url',
          pre_pseudonymization:
            'https://gitlab.com/my-group/my-awesome-project',
          is_pseudonymized: 'Yes',
          post_pseudonymization: 'https://gitlab.com/group:123/project:356',
        },
        {
          identifier: 'page_url',
          pre_pseudonymization:
            'https://gitlab.com/my-group/my-awesome-project/some_folder/some_file.js',
          is_pseudonymized: 'Yes',
          post_pseudonymization:
            'https://gitlab.com/group:123/project:346/:repository_path',
        },
        {
          identifier: 'page_url',
          pre_pseudonymization: 'https://gitlab.com/my-group/issues',
          is_pseudonymized: 'Yes',
          post_pseudonymization: 'https://gitlab.com/group:123/issues',
        },
        {
          identifier: 'page_url',
          pre_pseudonymization: 'https://gitlab.com/checkout',
          is_pseudonymized: 'Yes',
          post_pseudonymization: 'https://gitlab.com/checkout',
        },
        {
          identifier: 'page_url',
          pre_pseudonymization: 'https://gitlab.com/my-username',
          is_pseudonymized: 'Yes',
          post_pseudonymization: 'https://gitlab.com/username',
        },
      ],
    }
  },

  head() {
    return {
      title: 'Collected identifiers',
    }
  },
}
</script>

<template>
  <div class="px-4 pt-4 sm:px-6 lg:px-8">
    <h2 class="text-2xl font-semibold leading-7">Snowplow identifiers</h2>
    <p class="mt-2 text-sm text-gray-500 sm:text-base">
      On our SaaS offering, we collect various identifiers when tracking an
      event via Snowplow to be able to track user journeys. We are
      pseudonymizing the data via hashing when collecting the data if the
      identifier could be used to personally identify a user.
    </p>
    <md-table :columns="columns" :rows="rows" context="identifier" />
  </div>
</template>
